For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList refunds
      • POSTCreate refund
      • GETRetrieve refund
      • POSTCapture refund
      • POSTVoid refund
      • POSTVoid refund by idempotency key
      • Refund
      • POSTEvent: refund.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIRefunds

Create refund

POST
/refunds
POST
/network/v1/refunds
$curl -X POST https://api.cash.app/network/v1/refunds \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "idempotency_key": "178f2318-a335-4be2-9792-6259a8887874",
> "refund": {
> "amount": 100,
> "currency": "USD",
> "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
> "payment_id": "PWC_etdng09kyyqf5zr583v8xcs2k",
> "capture": true,
> "reference_id": "external-id",
> "metadata": {
> "key": "value"
> }
> }
>}'
1{
2 "refund": {
3 "id": "PWCR_da1v3j4p3z15y47adpzzq0whj",
4 "amount": 2500,
5 "currency": "USD",
6 "customer_id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
7 "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
8 "status": "AUTHORIZED",
9 "created_at": "2022-01-01T12:00:00Z",
10 "updated_at": "2022-01-05T12:00:00Z",
11 "grant_id": "GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50",
12 "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
13 "reference_id": "external-id",
14 "metadata": {},
15 "decline_errors": [
16 {
17 "category": "API_ERROR",
18 "code": "MISSING_REQUIRED_FIELD",
19 "detail": "Missing required parameter.",
20 "field": "field_a[2].field_b"
21 }
22 ]
23 }
24}
Creates a refund from a merchant to a customer. - To issue a refund, provide a `payment_id` in the request. The grant must be associated with the `ON_FILE_PAYMENT` actions. To generate a grant to pass to this field, use the Customer Request API. **This endpoint is not rate limited.** Scopes: `REFUNDS_WRITE`
Was this page helpful?
Previous

Retrieve refund

Next
Built with

Creates a refund from a merchant to a customer.

  • To issue a refund, provide a payment_id in the request.

The grant must be associated with the ON_FILE_PAYMENT actions.

To generate a grant to pass to this field, use the Customer Request API.

This endpoint is not rate limited.

Scopes: REFUNDS_WRITE

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

idempotency_keystringRequired1-64 characters

A unique identifier which can be used by Cash App to de-duplicate retries of this request, making it idempotent. For more information, see Idempotency.

refundobjectRequired
Details about the refund to create.

Response

OK
refundobject

Errors

400
Bad Request Error